# evennia.web.utils.backends

class `evennia.web.utils.backends.``CaseInsensitiveModelBackend`

  Bases: `django.contrib.auth.backends.ModelBackend`

  By default ModelBackend does case _sensitive_ username authentication, which isn’t what is generally expected. This backend supports case insensitive username authentication.

  `authenticate`(request, username=None, password=None, autologin=None)

    Custom authenticate with bypass for auto-logins

    Parameters

      - request (Request) – Request object.

      - username (str, optional) – Name of user to authenticate.

      - password (str, optional) – Password of user

      - autologin (Account, optional) – If given, assume this is an already authenticated account and bypass authentication.